(function ($) {

/**
 * Calculate max height value in pixels from number of elements.
 */
function sexyExposedCalculateMaxHeight (key, element) {
  // We need to build a temporary dropdownchecklist to get height of one item.
  key.dropdownchecklist();
  var height = $('.ui-dropdownchecklist-item:first-child').height();
  key.dropdownchecklist("destroy");
  return element * height;
};

/**
 *  Applies ddcl on all exposed filters that are marked as sexy.
 */
Drupal.behaviors.sexyExposed = {
  attach: function (context) {
    var settings = Drupal.settings.sexyExposed;
    $.each(settings, function(key, element) {
      $key = $(key);
      // Adjust max height if maximum number of visible items is set.
      if (element > 0) {
        height = sexyExposedCalculateMaxHeight($key, element);
        $key.dropdownchecklist({ icon: {}, maxDropHeight: height });
      }
      else if (element == 0) {
        $key.dropdownchecklist({ icon: {} });
      }
    });
  }
};

})(jQuery);
